Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface ModuleMonitoringLevelsConfig

All Superinterfaces:
  AMX, AMXConfig, AMXMBeanLogging, ConfigElement, NotificationBroadcaster, NotificationEmitter, PropertiesAccess

public interface ModuleMonitoringLevelsConfig
extends ConfigElement, PropertiesAccess

Configuration for the <module-monitoring-levels> element. Each monitoring level can be one of the values defined in `ModuleMonitoringLevelValues`.

Field Summary
`static java.lang.String` | `J2EE_TYPE` The j2eeType as returned by `AMX.getJ2EEType()`.

Fields inherited from interface com.sun.appserv.management.config.AMXConfig
`CONFIG_CREATED_NOTIFICATION_TYPE, CONFIG_OBJECT_NAME_KEY, CONFIG_REMOVED_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.config.PropertiesAccess
`PROPERTY_PREFIX`

Method Summary
`void` | `changeAll(java.lang.String value)` Change all monitoring levels to the specified value.
`java.util.Map` | `getAllLevels()` Get a Map keyed by Attribute name of all monitoring levels.
`java.lang.String` | `getConnectorConnectionPool()`
`java.lang.String` | `getConnectorService()`
`java.lang.String` | `getEJBContainer()`
`java.lang.String` | `getHTTPService()`
`java.lang.String` | `getJDBCConnectionPool()`
`java.lang.String` | `getJMSService()`
`java.lang.String` | `getJVM()`
`java.lang.String` | `getORB()`
`java.lang.String` | `getThreadPool()`
`java.lang.String` | `getTransactionService()`
`java.lang.String` | `getWebContainer()`
`void` | `setConnectorConnectionPool(java.lang.String value)`
`void` | `setConnectorService(java.lang.String value)`
`void` | `setEJBContainer(java.lang.String value)`
`void` | `setHTTPService(java.lang.String value)`
`void` | `setJDBCConnectionPool(java.lang.String value)`
`void` | `setJMSService(java.lang.String value)`
`void` | `setJVM(java.lang.String value)`
`void` | `setORB(java.lang.String value)`
`void` | `setThreadPool(java.lang.String value)`
`void` | `setTransactionService(java.lang.String value)`
`void` | `setWebContainer(java.lang.String value)`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface com.sun.appserv.management.config.PropertiesAccess
`createProperty, existsProperty, getProperties, getPropertyNames, getPropertyValue, removeProperty, setPropertyValue`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

  The j2eeType as returned by `AMX.getJ2EEType()`.

  See Also:
    Constant Field Values

Method Detail

### getAllLevels

    public java.util.Map getAllLevels()

  Get a Map keyed by Attribute name of all monitoring levels. Attribute names correspond to the various get methods eg "JVM" for `getJVM()`, "ConnectorService" for `getConnectorService()`, etc.

  The possible levels are as defined in `ModuleMonitoringLevelValues`.

### changeAll

    public void changeAll(java.lang.String value)

  Change all monitoring levels to the specified value.

  Parameters:
    `value` - one of the values in `ModuleMonitoringLevelValues`

### getJVM

    public java.lang.String getJVM()

### setJVM

    public void setJVM(java.lang.String value)

  Parameters:
    `value` - one of the values in `ModuleMonitoringLevelValues`

### getConnectorService

    public java.lang.String getConnectorService()

### setConnectorService

    public void setConnectorService(java.lang.String value)

  Parameters:
    `value` - one of the values in `ModuleMonitoringLevelValues`

### getJMSService

    public java.lang.String getJMSService()

### setJMSService

    public void setJMSService(java.lang.String value)

  Parameters:
    `value` - one of the values in `ModuleMonitoringLevelValues`

### getConnectorConnectionPool

    public java.lang.String getConnectorConnectionPool()

### setConnectorConnectionPool

    public void setConnectorConnectionPool(java.lang.String value)

  Parameters:
    `value` - one of the values in `ModuleMonitoringLevelValues`

### getEJBContainer

    public java.lang.String getEJBContainer()

### setEJBContainer

    public void setEJBContainer(java.lang.String value)

  Parameters:
    `value` - one of the values in `ModuleMonitoringLevelValues`

### getHTTPService

    public java.lang.String getHTTPService()

### setHTTPService

    public void setHTTPService(java.lang.String value)

  Parameters:
    `value` - one of the values in `ModuleMonitoringLevelValues`

### getJDBCConnectionPool

    public java.lang.String getJDBCConnectionPool()

### setJDBCConnectionPool

    public void setJDBCConnectionPool(java.lang.String value)

  Parameters:
    `value` - one of the values in `ModuleMonitoringLevelValues`

### getORB

    public java.lang.String getORB()

### setORB

    public void setORB(java.lang.String value)

  Parameters:
    `value` - one of the values in `ModuleMonitoringLevelValues`

### getThreadPool

    public java.lang.String getThreadPool()

### setThreadPool

    public void setThreadPool(java.lang.String value)

  Parameters:
    `value` - one of the values in `ModuleMonitoringLevelValues`

### getTransactionService

    public java.lang.String getTransactionService()

### setTransactionService

    public void setTransactionService(java.lang.String value)

  Parameters:
    `value` - one of the values in `ModuleMonitoringLevelValues`

### getWebContainer

    public java.lang.String getWebContainer()

### setWebContainer

    public void setWebContainer(java.lang.String value)

  Parameters:
    `value` - one of the values in `ModuleMonitoringLevelValues`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.